Index: /branches/UKMO/dev_r5518_haney_arctic_mask/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx_adj.F90
===================================================================
--- /branches/UKMO/dev_r5518_haney_arctic_mask/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx_adj.F90	(revision 7043)
+++ /branches/UKMO/dev_r5518_haney_arctic_mask/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx_adj.F90	(revision 7044)
@@ -32,9 +32,8 @@
    PUBLIC   sbc_flx_adj_init   ! routine called in sbcmod
 
-   !ky 06/09/2016 uncommented below two lines for FA test
    !ky 11/12/2015 recommented below two lines
    !!ky 3/12/2015 uncommented below two lines for FA test!
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   erp   !: evaporation damping   [kg/m2/s]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   qrp   !: heat flux damping        [w/m2]
+   !REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   erp   !: evaporation damping   [kg/m2/s]
+   !REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   qrp   !: heat flux damping        [w/m2]
 
    !                                   !!* Namelist namsbc_flx_adj *
@@ -103,17 +102,13 @@
                         &        * sf_qrp(1)%fnow(ji,jj,1)
                      !zqrp = sf_qrp(1)%fnow(ji,jj,1)
-                     !ky 07/09/2016 copied 1 line below for FA test
                      !ky 11/12/2015 commented out 1 line below
                      !!ky 3/12/2015 1 line below for FA test!
                      !qrp(ji,jj) = sf_qrp(1)%fnow(ji,jj,1)
-                     !ky 07/09/2016 copied 1 line above and modified as below for FA test
-                     qrp(ji,jj) = zqrp
                      qns(ji,jj) = qns(ji,jj) + zqrp
                   END DO
                END DO
-               !ky 06/09/2016 uncommented below 1 line below for FA test!
                !ky 11/12/2015 recommented out below 1 line below
                !!ky 3/12/2015 uncommented below 1 line below for FA test!
-               CALL iom_put( "qrp", qrp )                             ! heat flux damping
+               !CALL iom_put( "qrp", qrp )                             ! heat flux damping
             ENDIF
             !
@@ -132,14 +127,10 @@
                      !!ky 3/12/2015 1 line below for FA test!
                      !erp(ji,jj) = sf_erp(1)%fnow(ji,jj,1)
-                     !ky 06/09/2016 copied line above and changed to below two lines for FA test!
-                     erp(ji,jj) = ( 1. - 2.*rnfmsk_arcmsk(ji,jj) )  &        ! No damping in vicinity of river mouths
-                        &        * sf_erp(1)%fnow(ji,jj,1) 
                      sfx(ji,jj) = sfx(ji,jj) + zerp                 ! salt flux
                   END DO
                END DO
-               !ky 06/09/2016 uncommented below one line for FA test!
                !ky 11/12/2015 recommented out below one line
                !!ky 3/12/2015 uncommented below one line for FA test!
-               CALL iom_put( "erp", erp )                             ! freshwater flux damping
+               !CALL iom_put( "erp", erp )                             ! freshwater flux damping
                !
             ELSEIF( nn_flxadjfw == 2 ) THEN                               !* Salinity damping term (volume flux (emp) and associated heat flux (qns)
@@ -154,14 +145,11 @@
                      !!ky 3/12/2015 1 line below for FA test!
                      !erp(ji,jj) = sf_erp(1)%fnow(ji,jj,1)
-                     !ky 06/09/2016 copied line above and changed to below line for FA test!
-                     erp(ji,jj) = zerp
                      emp(ji,jj) = emp (ji,jj) + zerp
                      qns(ji,jj) = qns(ji,jj) - zerp * rcp * sst_m(ji,jj)
                   END DO
                END DO
-               !ky 06/09/2016 uncommented below 1 line for FA test!
                !ky 11/12/2015 recommented out below 1 line
                !!ky 3/12/2015 uncommented below 1 line for FA test!
-               CALL iom_put( "erp", erp )                             ! freshwater flux damping
+               !CALL iom_put( "erp", erp )                             ! freshwater flux damping
             ENDIF
             !
@@ -222,9 +210,8 @@
       !
       !                            !* Allocate erp and qrp array
-      !ky 06/09/2016 uncommented below two lines for FA test!
       !ky 11/12/2015 recommented out below two lines
       !!ky 3/12/2015 uncommented below two lines for FA test!
-      ALLOCATE( qrp(jpi,jpj), erp(jpi,jpj), STAT=ierror )
-      IF( ierror > 0 )   CALL ctl_stop( 'STOP', 'sbc_ssr: unable to allocate erp and qrp array' )
+      !ALLOCATE( qrp(jpi,jpj), erp(jpi,jpj), STAT=ierror )
+      !IF( ierror > 0 )   CALL ctl_stop( 'STOP', 'sbc_ssr: unable to allocate erp and qrp array' )
       !
       IF( nn_flxadjht == 1 ) THEN      !* set sf_qrp structure & allocate arrays
@@ -257,9 +244,8 @@
       !
       !ky!!                            !* Initialize qrp and erp if no restoring 
-      !ky 06/09/2016 below two lines for FA test!
       !ky 11/12/2015 commented out below two lines
       !!ky 3/12/2015 below two lines for FA test!
-      IF( nn_flxadjht /= 1                   )   qrp(:,:) = 0._wp
-      IF( nn_flxadjfw /= 1 .OR. nn_flxadjfw /= 2 )   erp(:,:) = 0._wp
+      !IF( nn_flxadjht /= 1                   )   qrp(:,:) = 0._wp
+      !IF( nn_flxadjfw /= 1 .OR. nn_flxadjfw /= 2 )   erp(:,:) = 0._wp
       !!ky!!IF( nn_sstr /= 1                   )   qrp(:,:) = 0._wp
       !!ky!!IF( nn_sssr /= 1 .OR. nn_sssr /= 2 )   erp(:,:) = 0._wp