Index: branches/UKMO/dev_r5518_v3.4_asm_nemovar_community_bgc_ersem/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- branches/UKMO/dev_r5518_v3.4_asm_nemovar_community_bgc_ersem/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 7044)
+++ branches/UKMO/dev_r5518_v3.4_asm_nemovar_community_bgc_ersem/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 7045)
@@ -188,5 +188,5 @@
                                       !: 4) hmld_tref - Temperature criterion (0.2 K change from surface) [T points]
 
-   INTEGER :: mld_choice_bgc    = 5   !: choice of mld criteria to use for physics assimilation
+   INTEGER :: mld_choice_bgc    = 4   !: choice of mld criteria to use for physics assimilation
                                       !: 1) hmld      - Turbocline/mixing depth                           [W points]
                                       !: 2) hmlp      - Density criterion (0.01 kg/m^3 change from 10m)   [W points]
Index: branches/UKMO/dev_r5518_v3.4_asm_nemovar_community_bgc_ersem/NEMOGCM/NEMO/OPA_SRC/ASM/asmlogchlbal_ersem.F90
===================================================================
--- branches/UKMO/dev_r5518_v3.4_asm_nemovar_community_bgc_ersem/NEMOGCM/NEMO/OPA_SRC/ASM/asmlogchlbal_ersem.F90	(revision 7044)
+++ branches/UKMO/dev_r5518_v3.4_asm_nemovar_community_bgc_ersem/NEMOGCM/NEMO/OPA_SRC/ASM/asmlogchlbal_ersem.F90	(revision 7045)
@@ -206,57 +206,57 @@
       ! Maintain existing background ratios
       !
-      DO jk = 1, jpk
-         DO jj = 1, jpj
-            DO ji = 1, jpi
-               IF ( trn(ji,jj,1,jp_fabm_m1+jp_fabm_chl1) > 0.0 ) THEN
-                  logchl_balinc_ersem_p1c(ji,jj,jk) = logchl_balinc_ersem_chl1(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p1c) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl1)
-                  logchl_balinc_ersem_p1n(ji,jj,jk) = logchl_balinc_ersem_chl1(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p1n) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl1)
-                  logchl_balinc_ersem_p1p(ji,jj,jk) = logchl_balinc_ersem_chl1(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p1p) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl1)
-                  logchl_balinc_ersem_p1s(ji,jj,jk) = logchl_balinc_ersem_chl1(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p1s) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl1)
-               ENDIF
-               IF ( trn(ji,jj,1,jp_fabm_m1+jp_fabm_chl2) > 0.0 ) THEN
-                  logchl_balinc_ersem_p2c(ji,jj,jk) = logchl_balinc_ersem_chl2(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p2c) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl2)
-                  logchl_balinc_ersem_p2n(ji,jj,jk) = logchl_balinc_ersem_chl2(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p2n) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl2)
-                  logchl_balinc_ersem_p2p(ji,jj,jk) = logchl_balinc_ersem_chl2(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p2p) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl2)
-               ENDIF
-               IF ( trn(ji,jj,1,jp_fabm_m1+jp_fabm_chl3) > 0.0 ) THEN
-                  logchl_balinc_ersem_p3c(ji,jj,jk) = logchl_balinc_ersem_chl3(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p3c) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl3)
-                  logchl_balinc_ersem_p3n(ji,jj,jk) = logchl_balinc_ersem_chl3(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p3n) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl3)
-                  logchl_balinc_ersem_p3p(ji,jj,jk) = logchl_balinc_ersem_chl3(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p3p) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl3)
-               ENDIF
-               IF ( trn(ji,jj,1,jp_fabm_m1+jp_fabm_chl4) > 0.0 ) THEN
-                  logchl_balinc_ersem_p4c(ji,jj,jk) = logchl_balinc_ersem_chl4(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p4c) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl4)
-                  logchl_balinc_ersem_p4n(ji,jj,jk) = logchl_balinc_ersem_chl4(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p4n) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl4)
-                  logchl_balinc_ersem_p4p(ji,jj,jk) = logchl_balinc_ersem_chl4(ji,jj,jk)   * &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p4p) / &
-                     &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl4)
-               ENDIF
-            END DO
-         END DO
-      END DO
+      !DO jk = 1, jpk
+      !   DO jj = 1, jpj
+      !      DO ji = 1, jpi
+      !         IF ( trn(ji,jj,1,jp_fabm_m1+jp_fabm_chl1) > 0.0 ) THEN
+      !            logchl_balinc_ersem_p1c(ji,jj,jk) = logchl_balinc_ersem_chl1(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p1c) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl1)
+      !            logchl_balinc_ersem_p1n(ji,jj,jk) = logchl_balinc_ersem_chl1(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p1n) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl1)
+      !            logchl_balinc_ersem_p1p(ji,jj,jk) = logchl_balinc_ersem_chl1(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p1p) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl1)
+      !            logchl_balinc_ersem_p1s(ji,jj,jk) = logchl_balinc_ersem_chl1(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p1s) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl1)
+      !         ENDIF
+      !         IF ( trn(ji,jj,1,jp_fabm_m1+jp_fabm_chl2) > 0.0 ) THEN
+      !            logchl_balinc_ersem_p2c(ji,jj,jk) = logchl_balinc_ersem_chl2(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p2c) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl2)
+      !            logchl_balinc_ersem_p2n(ji,jj,jk) = logchl_balinc_ersem_chl2(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p2n) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl2)
+      !            logchl_balinc_ersem_p2p(ji,jj,jk) = logchl_balinc_ersem_chl2(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p2p) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl2)
+      !         ENDIF
+      !         IF ( trn(ji,jj,1,jp_fabm_m1+jp_fabm_chl3) > 0.0 ) THEN
+      !            logchl_balinc_ersem_p3c(ji,jj,jk) = logchl_balinc_ersem_chl3(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p3c) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl3)
+      !            logchl_balinc_ersem_p3n(ji,jj,jk) = logchl_balinc_ersem_chl3(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p3n) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl3)
+      !            logchl_balinc_ersem_p3p(ji,jj,jk) = logchl_balinc_ersem_chl3(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p3p) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl3)
+      !         ENDIF
+      !         IF ( trn(ji,jj,1,jp_fabm_m1+jp_fabm_chl4) > 0.0 ) THEN
+      !            logchl_balinc_ersem_p4c(ji,jj,jk) = logchl_balinc_ersem_chl4(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p4c) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl4)
+      !            logchl_balinc_ersem_p4n(ji,jj,jk) = logchl_balinc_ersem_chl4(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p4n) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl4)
+      !            logchl_balinc_ersem_p4p(ji,jj,jk) = logchl_balinc_ersem_chl4(ji,jj,jk)   * &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_p4p) / &
+      !               &                                trn(ji,jj,jk,jp_fabm_m1+jp_fabm_chl4)
+      !         ENDIF
+      !      END DO
+      !   END DO
+      !END DO
 
    END SUBROUTINE asm_logchl_bal_ersem